%define git_date 20150131

Summary:	Fork of gnome-mplayer
Name:		mate-mplayer
Version:	1.0.9
Release:	%mkrel 1
License:	GPLv2+
URL:            https://github.com/raveit65/mate-mplayer	
Source0:	https://github.com/raveit65/mate-mplayer/archive/%{name}-%{version}.tar.xz
Group:		Graphical desktop/Mate
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#------------------------------------------
BuildRequires: pkgconfig
BuildRequires: mate-common
BuildRequires: gettext
BuildRequires: mate-file-manager-devel
BuildRequires: desktop-file-utils
BuildRequires: lib64gtk+3.0-devel
BuildRequires: lib64xscrnsaver-devel
BuildRequires: lib64gmtk-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64gpod-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64alsa2-devel
BuildRequires: lib64dbus-1-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64musicbrainz3-devel
#------------------------------------------
Requires: mate-control-center
Requires: hicolor-icon-theme
Requires: mplayer
Requires: alsa
Requires: gtk+3.0
Requires: mencoder
#------------------------------------------

%description
MATE MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. MATE MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of MATE
MPlayer from a single command.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
 --with-libnotify \
 --enable-gtk3 \
 --enable-caja \
 --with-dbus \
 --with-alsa \
 --with-pulseaudio \
 --with-libgpod \
 --with-libmusicbrainz3 \
 --with-gio \
 --disable-schemas-compile

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Video" \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# menu icon
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
install -m 644 icons/48x48/%{name}.png $RPM_BUILD_ROOT%_datadir/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_libdir}/caja/extensions-3.0/
cp $RPM_BUILD_ROOT%{_libdir}/caja/extensions-2.0/* \
$RPM_BUILD_ROOT%{_libdir}/caja/extensions-3.0/

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%postun
%{clean_menus}
glib-compile-schemas %{_datadir}/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root)
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_libdir}/caja/extensions-3.0/libmate-mplayer-properties-page.so
%{_libdir}/caja/extensions-2.0/libmate-mplayer-properties-page.so
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/mate-control-center/default-apps/mate-mplayer.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1.bz2


%changelog
* Mon Jan 01 2018 Zen Subz <techars21 at gmail dot com> 1.0.9-1pclos2018
- Update to v1.0.9

* Sun May 07 2017 bb2 <bb2> 1.0.8-2pclos2017
- rebuild new gcrypt
